<?php
/* ############################################################ *\
 ----------------------------------------------------------------
GUN GPL
 ----------------------------------------------------------------
\* ############################################################ */

function events_u_menu(&$tab_menu,$page) {
	$tab_menu[] = array(
		'name'=>'Events',
		'type'=>'tab',
		'path'=>'events/liststories/page_'.$page['id']
		);
}
function events_widget(&$widgets) {
	$widgets['events_coming_events'] = array(
		'name'=>t('Coming events'),
		'callback'=>'events_coming_events'
		);
}

function events_coming_events() {
	$res = sql_query("SELECT s.*,u.username,u.avatar FROM `".tb()."stories` as s left join `".tb()."accounts` as u on u.id=s.uid where s.app='events' and s.page_type='u' and s.var2>".time()." ORDER by s.id DESC LIMIT 4");
	while ($row = sql_fetch_array($res)) {
		$begintime = '<font color="green">'.get_date($row['var2'],'date').'</font>';
		$output .= '<div class="home_blog_entries">'.url('events/viewstory/'.$row['id'],h($row['title'])).' <span class="sub">'.t('Begin').': '.$begintime.'</span>
		</div>';
	}
	$output .= '
	<div style="text-align:right">'.url('events',t('Show all').' &raquo').'</div>';
	return $output;
}


function events_group_menu(&$tab_menu,$page) {
	$tab_menu[] = array(
		'name'=>'Events',
		'type'=>'tab',
		'path'=>'events/liststories/page_'.$page['id']
		);
}

/* owner,connected,everyone */
function events_quick_share() {
	return array(
		'u' => array('access'=>'owner','flag' => t('Events'),'weight'=>10),
		'group' => array('access'=>'connected','flag' => t('Events'),'weight'=>10)
		);
}